Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 733160

Summary: dev-util/android-tools-8.1.0_p1 : ebuild uses colon (:) as a sed delimiter
Product: Gentoo Linux Reporter: Toralf Förster <toralf>
Component: Current packagesAssignee: Zac Medico <zmedico>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 685160    
Attachments: emerge-info.txt
dev-util:android-tools-8.1.0_p1:20200718-185607.log
emerge-history.txt
environment
etc.portage.tbz2
logs.tbz2

Description Toralf Förster gentoo-dev 2020-07-18 19:13:45 UTC
-- Configuring done
-- Generating done
-- Build files have been written to: /var/tmp/portage/dev-util/android-tools-8.1.0_p1/work/boringssl/build
sed: -e expression #3, char 83: unknown option to `s'
 * ERROR: dev-util/android-tools-8.1.0_p1::gentoo failed (configure phase):

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_developer-20200711-171921

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-8.3.1
 [2] x86_64-pc-linux-gnu-10.1.0 *
clang version 10.0.0 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.9 (fallback)
  [3]   python3.8 (fallback)
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.44.1
  [2]   rust-1.45.0 *
The following VMs are available for generation-2:
*)	IcedTea JDK 3.16.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

The Glorious Glasgow Haskell Compilation System, version 8.0.2

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Sat 18 Jul 2020 05:35:21 PM UTC

emerge -qpvO dev-util/android-tools
[ebuild  N    ] dev-util/android-tools-8.1.0_p1  USE="-python" PYTHON_TARGETS="-python3_6"
Comment 1 Toralf Förster gentoo-dev 2020-07-18 19:13:48 UTC
Created attachment 649786 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-07-18 19:13:50 UTC
Created attachment 649788 [details]
dev-util:android-tools-8.1.0_p1:20200718-185607.log
Comment 3 Toralf Förster gentoo-dev 2020-07-18 19:13:53 UTC
Created attachment 649790 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-07-18 19:13:56 UTC
Created attachment 649792 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-07-18 19:13:59 UTC
Created attachment 649794 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-07-18 19:14:02 UTC
Created attachment 649796 [details]
logs.tbz2
Comment 7 Larry the Git Cow gentoo-dev 2020-07-19 00:27:22 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4fe61107fdc40bd1a35726f42c5c3cb47608356e

commit 4fe61107fdc40bd1a35726f42c5c3cb47608356e
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2020-07-19 00:24:21 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2020-07-19 00:27:15 +0000

    dev-util/android-tools: fix 8.1.0_p1 for colon in CFLAGS
    
    Reported-by: Toralf Förster <toralf@gentoo.org>
    Closes: https://bugs.gentoo.org/733160
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 dev-util/android-tools/android-tools-8.1.0_p1.ebuild | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)